Skip to main content
POST
/
agents
/
device-codes
/
{code}
/
redeem
cURL
curl --request POST \
  --url https://api.lightspark.com/grid/2025-10-13/agents/device-codes/{code}/redeem
{
  "agentId": "Agent:019542f5-b3e7-1d02-0000-000000000001",
  "agentName": "Payroll Automation Agent",
  "accessToken": "gat_ed0ad25881e234cc28fb2dec0a4fe64e4172a3b9",
  "policy": {
    "permissions": [],
    "spendingLimits": {
      "currency": "USD",
      "perTransactionLimit": 50000,
      "dailyLimit": 500000,
      "dailyTransactionLimit": 10,
      "monthlyLimit": 5000000
    },
    "accountRestrictions": {
      "allowedAccountIds": [
        "Account:019542f5-b3e7-1d02-0000-000000000001"
      ],
      "accountRules": [
        {
          "accountId": "Account:019542f5-b3e7-1d02-0000-000000000001",
          "perTransactionLimit": 10000
        }
      ]
    },
    "approvalThresholds": {
      "currency": "USD",
      "amount": 100000
    }
  }
}

Path Parameters

code
string
required

The device code to redeem

Response

Device code redeemed successfully

agentId
string
required

The agent's system-generated ID.

Example:

"Agent:019542f5-b3e7-1d02-0000-000000000001"

agentName
string
required

The agent's name.

Example:

"Payroll Automation Agent"

accessToken
string
required

Bearer token used to authenticate all subsequent API calls as this agent. Pass as Authorization: Bearer <accessToken>. This token is returned only once and must be stored securely — it cannot be retrieved again.

Example:

"gat_ed0ad25881e234cc28fb2dec0a4fe64e4172a3b9"

policy
object
required

Policy governing what an agent can do, how it executes actions, and its spending boundaries.